<template>
  <wd-form ref="form" :model="model" class="relative form_box">
    <wd-cell-group :border="true">
      <wd-input
        v-model="model.contractNo"
        label="合同号"
        label-width="100px"
        prop="contractNo"
        clearable
        placeholder="请输入合同号"
      />
      <wd-input
        v-model="model.status"
        label="状态"
        label-width="100px"
        prop="status"
        clearable
        placeholder="请输入状态"
      />
      <wd-input
        v-model="model.clientName"
        label="客户名称"
        label-width="100px"
        prop="clientName"
        clearable
        placeholder="请输入客户名称"
      />
      <wd-input
        v-model="model.workbench"
        label="机台"
        label-width="100px"
        prop="workbench"
        clearable
        placeholder="请输入机台"
      />
      <wd-input
        v-model="model.quality"
        label="质量追溯号"
        label-width="100px"
        prop="quality"
        clearable
        placeholder="请输入质量追溯号"
      />
      <wd-input
        v-model="model.specification"
        label="规格型号"
        label-width="100px"
        prop="specification"
        clearable
        placeholder="请输入规格型号"
      />
      <wd-input
        v-model="model.disc"
        label="盘长(m)"
        label-width="100px"
        prop="disc"
        clearable
        placeholder="请输入盘长"
      />
      <wd-input
        v-model="model.produced"
        label="已生产(m)"
        label-width="100px"
        prop="produced"
        clearable
        placeholder="请输入已生产"
      />
      <wd-input
        v-model="model.beProduced"
        label="待生产(m)"
        label-width="100px"
        prop="beProduced"
        clearable
        placeholder="请输入单丝盘长"
      />
    </wd-cell-group>
  </wd-form>
</template>

<script lang="ts" setup>
import useFormData from "@/hooks/useFormData";

const { form: model } = useFormData({
  contractNo: undefined, // 合同号
  status: undefined, // 状态
  clientName: undefined, // 客户名称
  workbench: undefined, // 机台
  quality: undefined, // 质量追溯号
  specification: undefined, // 规格型号
  disc: undefined, // 盘长
  produced: undefined, // 已生产
  beProduced: undefined, // 待生产
});
</script>

<style lang="scss" scoped>
.form_box {
}
.submit_btn {
  position: absolute;
  bottom: 0;
  width: 100%;
}
</style>
